## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate plist

Name:           rust-plist
Version:        1.4.3
Release:        %autorelease
Summary:        Rusty plist parser

License:        MIT
URL:            https://crates.io/crates/plist
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A rusty plist parser. Supports Serde serialization.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENCE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+enable_unstable_features_that_may_break_with_minor_version_bumps-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+enable_unstable_features_that_may_break_with_minor_version_bumps-devel %{_description}

This package contains library source intended for building other packages which
use the "enable_unstable_features_that_may_break_with_minor_version_bumps" feature of the "%{crate}" crate.

%files       -n %{name}+enable_unstable_features_that_may_break_with_minor_version_bumps-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.3-1
- Update to version 1.4.3; Fixes RHBZ#2179640

* Sat Mar 11 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.2-1
- Update to version 1.4.2; Fixes RHBZ#2171109

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-1
- Update to version 1.4.0; Fixes RHBZ#2161386

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 1.3.1-1
- Update to version 1.3.1; Fixes RHBZ#2023075

* Sun Aug 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#1991268

* Wed Jul 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#1985299

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Feb 15 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0.
- Fixes RHBZ#1922843

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 11:06:57 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1 (Fixes: RHBZ#1911126)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 17 12:44:49 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 10:33:35 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-2
- Adapt to new packaging

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Initial package

